Professional OPC
Development Tools

logos

How do we access the EasyUAClient?

More
22 Feb 2019 09:39 #7127 by support
The error you are getting is not related to the fact your are running the trial version. But is is a bit of mystery. It probably has to do with accessing the client application certificate that QuickOPC creates automatically for OPC UA communications.

I can only guess that things got somehow mixed in the certificate stores (not your fault). Can you please do the steps described further below.

1. Download, install and run (with elevated privileges) the UA Configuration Tool, from www.opclabs.com/products/ua-configuration-tool .
2. Switch to the Manage Certificates tab.
3. Verify that you have ".... UA Appplications" in the Store Path field.
4. Press View Certificates.
5. Locate any certificate that look "yours". Their name will be based on the name of the VB6 IDE executable, or the name of your own/demo executable. Select each such certificate, right-click on it, select Delete, and confirm. If you do not have other UA apps on your computer to be concerned about, you can delete all certificate that you see. When done, press OK.
6. click on the drop-down next to "Store Path", and select "... Machine Default".
7. Repeat steps 4 and 5 on the Machine Default store.
8. Close the UA Configuration Tool.

Then, try to run your (or the demo) app again. Make sure you run VB6 and your app - at least the first time - with elevated (admin) privileges. They are usually needed to store new certs into the certificate stores.

Best regards

Please Log in or Create an account to join the conversation.

More
21 Feb 2019 20:48 #7126 by jestraub
Thanks. I got your email.

Prior to our purchase we are trying to verify that the EasyUAClient will work for our software. I downloaded and installed the latest version as a trail. In VB6 IDE, I can run your ReadAndDisplayValue application accessing " opcua.demo-this.com:51211/UA/SampleServer ", "nsu=http://test.org/UA/Data/;i=10853". However, when i compile and try to run on the same workstation, I get an error "Error: The specified network password is not correct."...

Any advice? I need to be able to compile and test our app using the trial version. Is that possible?

Thanks!
-Jack

Please Log in or Create an account to join the conversation.

More
21 Feb 2019 09:37 #7124 by support
I will send you all this information to the email address you used to register with the forums.

Best regards

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 20:26 #7118 by jestraub
We would prefer to pay online by credit card so please send the coupon you mentioned.

I believe our purchase was back in 2014. Could you please confirm that we (TrueLogic Company) have the 5.31 Standard Edition? I believe we have one developer license but will want to purchase an additional one this time.

Thanks!

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 19:46 #7116 by support
Hello.

If you wanted to pay by invoice/bank transfer: When you switch the Purchase page to that mode, the checkbox for "Version upgrade" will appear.
If you wanted to buy online (credit card and other options - web shop handled by the Digital River platform): Let me know, and I will email you a discount coupon. You would then proceed as with purchasing a new license, and apply the coupon code during the process.

Best regards

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 16:56 #7115 by jestraub
In a previous reply you mentioned "Version upgrade is available for 50% of the new license cost".

How do I go about purchasing an upgrade? I did not see that option in the Price List.

I believe we currently have 5.31 Standard Edition. Can you confirm? Our company is TrueLogic Company.

Thanks!

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 16:26 #7114 by support
I found out you cannot actually do that with version 5.31.
The COM (and therefore, VB6) support for OPC UA has been added in version 5.32, as listed here: kb.opclabs.com/Versions and
here: kb.opclabs.com/What%E2%80%99s_New_in_QuickOPC_5.32 .

Version 5.31 supports OPC UA but only in .NET.

In 5.32 and newer versions, your question is then answered in the user's guide under the article "Referencing the Components (QuickOPC-COM)".

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 15:38 #7112 by jestraub
What Reference to I add to my project to give me use of the EasyUAClient in VB6?

One of your docs shows an SDK subfolder but I don't have that and when I try to add a Reference to OPCLabs.EasyOpcUA.dll from the Assemblies sub-folder I get the message that "Can't add a reference to the specified file."

Thanks!

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 15:26 #7110 by support
As this is an old version, we do not oficially support it.
But the error seems to be related to a supplementary package that you do not need at all.

Try to run the install once again, select the custom install, and during the process, uncheck the parts you do not need - and specifically, anything that has to do with the UA<->COM wrapper/proxies.

Regards

Please Log in or Create an account to join the conversation.

More
20 Feb 2019 15:05 #7109 by jestraub
I have tried to download and re-install (using a Custom / Total Installation). During this process I get an error shown in a Just-In-Time Debugger window: "An unhandled exception ('System.IO.FileLoadException') occurred in Opc.UA.COMProxyServer.exe [11748]."

I can not add a reference to my VB6 project that give me access to the EasyUAClient.

Please advise.

Thanks!

Please Log in or Create an account to join the conversation.

Moderators: support
Time to create page: 0.218 seconds

      

 Recommend this on Google